Get All Photos

Retrieve metadata for a list of photos.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

photos = fulcrum.photos.search(url_params={'form_id':'{id}'})

for photo in photos['photos']:
  # print(photo) # entire photo metadata
  print(photo['access_key']) # just the photo key
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.photos.all({'form_id':'{id}'})
  .then((page) => {
    page.objects.forEach(photo => {
      // console.log(photo); // entire photo metadata
      console.log(photo.access_key); // just the photo key
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

photos = client.photos.all({'form_id':'{id}'})

for photo in photos.objects do
  # puts photo # entire photo metadata
  puts photo['access_key'] # just the photo key
end
Query Params
string

The ID of the record with which the photo is associated.

string

The ID of the form with which the photo is associated. Leaving this blank will query against all of your photos.

boolean

If present, photos will be sorted by updated_at date.

boolean

Filter for photos that have been completely processed.

boolean

Filter for photos that have been completely stored.

boolean

Filter for photos that have been completely uploaded.

int32
Defaults to 1

The page number requested.

int32
Defaults to 20000

The number of items to return per page.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json